# List Collection Files

`GET https://api.vultrinference.com/v1/vector_store/{id}/files`

Retrieve a list of files within a vector store collections.

## Path parameters

- `id` (string, required): The ID of the vector store collection.

## Responses

- `200`: OK (list-vector-store-files-response-payload)
- `400`: Bad Request, including a request that failed validation (the message names the rejected field) and a collection, item or file that does not exist. The body is the error envelope. (error-payload)
- `401`: The API key is missing, unknown or not active. Send it as Authorization: Bearer <key>. (error-payload)

## Example

```bash
curl https://api.vultrinference.com/v1/vector_store/{id}/files \
  -H "Authorization: Bearer $VULTR_INFERENCE_API_KEY"
```

```python
import os
import requests

response = requests.get(
    "https://api.vultrinference.com/v1/vector_store/{id}/files",
    headers={"Authorization": f"Bearer {os.environ['VULTR_INFERENCE_API_KEY']}"},
)
print(response.json())
```

```javascript
const response = await fetch("https://api.vultrinference.com/v1/vector_store/{id}/files", {
  headers: {
    Authorization: `Bearer ${process.env.VULTR_INFERENCE_API_KEY}`,
  },
});
console.log(await response.json());
```
